Xamarin.Forms.Platform.WP8 issue

DeanCleaverDeanCleaver USMember ✭✭✭

After the latest upgrade, I get these errors in both WP8 and WP81 projects, in both App.xaml and MainPage.xaml - any ideas?

Error 24 Cannot resolve dependency to assembly 'Xamarin.Forms.Platform.WP8, Version=1.2.3.0, Culture=neutral, PublicKeyToken=null' because it has not been preloaded. When using the ReflectionOnly APIs, dependent assemblies must be pre-loaded or loaded on demand through the ReflectionOnlyAssemblyResolve event. C:\xsl-home\kleverlogic\FlashValet\Mobile\Customer\Customer.WinPhone81\App.xaml 1 1 KleverLogic.FlashValet.Customer.WinPhone81

Posts

  • ShantimohanElchuriShantimohanElchuri USMember ✭✭✭✭✭

    If you have upgraded Xamarin.Forms, then the version should be 1.3.0. Check your Xamarin Forms version. Probably you should first Remove the XF in the Installed Packages and install it again after confirming that it is V1.3.0.

  • ChrisSellsChrisSells USUniversity ✭✭

    This happened to me, too, after I added the Xamarin.Forms.Labs NuGet package to my project. It was building just fine with XF 1.3.0.0 before that.

  • DeanCleaverDeanCleaver USMember ✭✭✭

    Thanks CHris - getting rid of Labs does the trick. Shame it was possibly going to be useful.

  • SKallSKall USMember ✭✭✭✭

    XLabs 2.0 will soon be out as pre-release and it is going to be against the latest stable pre-release of XF. In the meanwhile you can get the source from GitHub.

  • victorHvictorH VNMember

    I got the same error when trying to upgrade to Xamarin form 1.3.0.6292.
    Any one have the solution for this?

    Cannot resolve dependency to assembly 'Xamarin.Forms.Platform.WP8, Version=1.2.3.0, Culture=neutral, PublicKeyToken=null' because it has not been preloaded. When using the ReflectionOnly APIs, dependent assemblies must be pre-loaded or loaded on demand through the ReflectionOnlyAssemblyResolve event.

  • codenutzcodenutz GBMember

    I'm still getting this issue - anybody got an update?

  • RussellFustinoRussellFustino USUniversity ✭✭
    edited March 2015

    Same here:
    I just upgraded to XF 1.3.5.6335 which was published today. I unloaded the project and edited csproj, did a search on 1.3.4 and came up empty, as well looking for any other version besides 1.3.5.6355 for Xamarin.Forms. I also came up empty on that too.

    Cannot resolve dependency to assembly 'Xamarin.Forms.Platform.WP8, Version=1.3.4.0, Culture=neutral, PublicKeyToken=null' because it has not been preloaded. When using the ReflectionOnly APIs, dependent assemblies must be pre-loaded or loaded on demand through the ReflectionOnlyAssemblyResolve event.

  • TheRealJasonSmithTheRealJasonSmith USXamarin Team Xamurai
  • powerdudepowerdude USMember ✭✭

    @RussellFustino, you're probably using XLabs or some other nuget package. You can't usually just update a dependency and expect all to be well. You have to wait for XLabs, or the other components you're using that depend on Xamarin.Forms to update. You can add the binding redirect to get things to compile, but there's no guarantee that the component will continue to work when you change the dependency like this.

  • ShantimohanElchuriShantimohanElchuri USMember ✭✭✭✭✭

    Due to wide usage of XLabs.Forms we would appreciate if @TheRealJasonSmith prompts the XLabs contributors on the final X.Forms version release dates. Since pre-releases are avialble for X.Forms, the XLabs contributors should be ready to sync XLabs versions with X Forms release so that we don't have to wait too long to update X Forms in our projects.

  • FredyWengerFredyWenger CHInsider ✭✭✭✭✭

    @DeanCleaver, @ShantimohanElchuri, @ChrisSells, @victor, @mattwhetton, @RussellFustino, @cliftonvaughn

    I think, that's the same problem as in this thread:
    forums.xamarin.com/discussion/comment/107046/#Comment_107046

    See my last posting - we can hope, that the problem will be solved, as soon as the nugets are at least on 1.4 :sunglasses:

  • SKallSKall USMember ✭✭✭✭

    Pushing in XLabs 2.0.5541-pre1 with a dependency to 1.4.0-pre1 so it should be available shortly.

  • FredyWengerFredyWenger CHInsider ✭✭✭✭✭

    Just for your information:

    It seems, as the problem has be gone definitely.
    I just have updated to XF 1.4.1 (without update also XLabs) -> no problem :blush:

Sign In or Register to comment.